Subject: Re: [bug#30845] [PATCH 05/82] gnu: Add java-bouncycastle.

From: Björn Höfling <[email-masked]>
Date: Wed, 21 Mar 2018 09:08:17 +0100

On Tue, 20 Mar 2018 09:06:00 +0100
julien lepiller <[email-masked]> wrote:

> Le 2018-03-19 23:32, Björn Höfling a écrit :

[...]

> > At least the 1.59 version contains two jars for the test:
> > 
> > bc-java-r1rv59$ find . -name "*.jar"
> > ./test/libs/jna-4.3.0.jar
> > ./test/libs/jna-platform-4.3.0.jar
> > 
> > Can you snip them away?  
> 
> Oh, good catch! But jna and jna-platform are patches 9 and 10, and
> they depend on bouncycastle...

Hm. So maybe

1) Disable tests, or
2) Disable tests and just "(define" it as bouncycastle-bootstrap.
   Then build the jna-* packages with it.
   Then build the final (define-public .. bouncycastle) with tests
   enabled.

> 
> > 
> > I tried to build it but it still hangs here:
> > 
> > [..]
> > test:
> >     [mkdir] Created dir:
> > /tmp/guix-build-java-bouncycastle-1.58.drv-0/bc-java-r1rv58/build/jdk15on
> >     [junit] Test org.bouncycastle.mail.smime.test.AllTests FAILED
> > 
> > 
> > Maybe it takes a bit longer and I know something tomorrow.  
> 
> This phase takes a lot of time without output, but it eventually 
> terminates. My only concern is that the first test fails, but the
> phase terminates correctly, so bouncycastle is installed disregarding
> test result. I'll investigate.

Yes, finally it finished. But because it finishes sucessfully, the junit
test results get lost. Maybe one could add temporarily a #f to the last
phase (or a phase after 'test), so build directory gets kept (with -K
build option).

What I found strange is that it took much wall-time but CPU-activity
was often quite low.

Björn